<?php

use A7kz\Platform\Modules\Platform\Segment\Facades\Segment;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;


return new class extends Migration
{
    public function up(): void
    {
        $segments = Segment::listActive();
        foreach ($segments as $segment) {
            Schema::connection($segment->connector)->create('pipi_auto_colors', static function (Blueprint $table) {
                $table->id();
                $table->string('name')->nullable()->comment('Наименование');
                $table->timestamps();
                $table->softDeletes();
            });
        }
    }
};
